GDCM: vtkRTStructSetProperties Class Reference

GDCM 3.2.8

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkRTStructSetProperties Class Reference

`#include <vtkRTStructSetProperties.h>`

Inheritance diagram for vtkRTStructSetProperties:
[legend]
Collaboration diagram for vtkRTStructSetProperties:
[legend]

## Public Member Functions
void | AddContourReferencedFrameOfReference (vtkIdType pdnum, const char *classuid, const char *instanceuid)
void | AddReferencedFrameOfReference (const char *classuid, const char *instanceuid)
void | AddStructureSetROI (int roinumber, const char *refframerefuid, const char *roiname, const char *ROIGenerationAlgorithm, const char *ROIDescription=0)
void | AddStructureSetROIObservation (int refnumber, int observationnumber, const char *rtroiinterpretedtype, const char *roiinterpreter, const char *roiobservationlabel=0)
virtual void | Clear ()
virtual void | DeepCopy (vtkRTStructSetProperties *p)
const char * | GetContourReferencedFrameOfReferenceClassUID (vtkIdType pdnum, vtkIdType id)
const char * | GetContourReferencedFrameOfReferenceInstanceUID (vtkIdType pdnum, vtkIdType id)
vtkIdType | GetNumberOfContourReferencedFrameOfReferences ()
vtkIdType | GetNumberOfContourReferencedFrameOfReferences (vtkIdType pdnum)
vtkIdType | GetNumberOfReferencedFrameOfReferences ()
vtkIdType | GetNumberOfStructureSetROIs ()
const char * | GetReferencedFrameOfReferenceClassUID (vtkIdType id)
const char * | GetReferencedFrameOfReferenceInstanceUID (vtkIdType id)
int | GetStructureSetObservationNumber (vtkIdType id)
const char * | GetStructureSetROIDescription (vtkIdType id)
const char * | GetStructureSetROIGenerationAlgorithm (vtkIdType)
const char * | GetStructureSetROIName (vtkIdType)
int | GetStructureSetROINumber (vtkIdType id)
const char * | GetStructureSetROIObservationLabel (vtkIdType id)
const char * | GetStructureSetROIRefFrameRefUID (vtkIdType)
const char * | GetStructureSetRTROIInterpretedType (vtkIdType id)
void | PrintSelf (ostream &os, vtkIndent indent)
| vtkGetStringMacro (ReferenceFrameOfReferenceUID)
| vtkGetStringMacro (ReferenceSeriesInstanceUID)
| vtkGetStringMacro (SeriesInstanceUID)
| vtkGetStringMacro (SOPInstanceUID)
| vtkGetStringMacro (StructureSetDate)
| vtkGetStringMacro (StructureSetLabel)
| vtkGetStringMacro (StructureSetName)
| vtkGetStringMacro (StructureSetTime)
| vtkGetStringMacro (StudyInstanceUID)
| vtkSetStringMacro (ReferenceFrameOfReferenceUID)
| vtkSetStringMacro (ReferenceSeriesInstanceUID)
| vtkSetStringMacro (SeriesInstanceUID)
| vtkSetStringMacro (SOPInstanceUID)
| vtkSetStringMacro (StructureSetDate)
| vtkSetStringMacro (StructureSetLabel)
| vtkSetStringMacro (StructureSetName)
| vtkSetStringMacro (StructureSetTime)
| vtkSetStringMacro (StudyInstanceUID)
| vtkTypeMacro (vtkRTStructSetProperties, vtkObject)

## Static Public Member Functions
static vtkRTStructSetProperties * | New ()

## Protected Member Functions
| vtkRTStructSetProperties ()
| ~vtkRTStructSetProperties ()

## Protected Attributes
vtkRTStructSetPropertiesInternals * | Internals
char * | ReferenceFrameOfReferenceUID
char * | ReferenceSeriesInstanceUID
char * | SeriesInstanceUID
char * | SOPInstanceUID
char * | StructureSetDate
char * | StructureSetLabel
char * | StructureSetName
char * | StructureSetTime
char * | StudyInstanceUID

## Detailed Description

Examples
  GenerateRTSTRUCT.cxx.

## Constructor & Destructor Documentation

## ◆ vtkRTStructSetProperties()

vtkRTStructSetProperties::vtkRTStructSetProperties | ( |  | ) |
| protected

Referenced by DeepCopy(), New(), and vtkTypeMacro().

## ◆ ~vtkRTStructSetProperties()

vtkRTStructSetProperties::~vtkRTStructSetProperties | ( |  | ) |
| protected

## Member Function Documentation

## ◆ AddContourReferencedFrameOfReference()

void vtkRTStructSetProperties::AddContourReferencedFrameOfReference | ( | vtkIdType | pdnum,
|  | const char * | classuid,
|  | const char * | instanceuid )

## ◆ AddReferencedFrameOfReference()

void vtkRTStructSetProperties::AddReferencedFrameOfReference | ( | const char * | classuid,
|  | const char * | instanceuid )

## ◆ AddStructureSetROI()

void vtkRTStructSetProperties::AddStructureSetROI | ( | int | roinumber,
|  | const char * | refframerefuid,
|  | const char * | roiname,
|  | const char * | ROIGenerationAlgorithm,
|  | const char * | ROIDescription = 0 )

## ◆ AddStructureSetROIObservation()

void vtkRTStructSetProperties::AddStructureSetROIObservation | ( | int | refnumber,
|  | int | observationnumber,
|  | const char * | rtroiinterpretedtype,
|  | const char * | roiinterpreter,
|  | const char * | roiobservationlabel = 0 )

## ◆ Clear()

virtual void vtkRTStructSetProperties::Clear | ( |  | ) |
| virtual

## ◆ DeepCopy()

virtual void vtkRTStructSetProperties::DeepCopy | ( | vtkRTStructSetProperties * | p | ) |
| virtual

References vtkRTStructSetProperties().

## ◆ GetContourReferencedFrameOfReferenceClassUID()

const char * vtkRTStructSetProperties::GetContourReferencedFrameOfReferenceClassUID | ( | vtkIdType | pdnum,
|  | vtkIdType | id )

## ◆ GetContourReferencedFrameOfReferenceInstanceUID()

const char * vtkRTStructSetProperties::GetContourReferencedFrameOfReferenceInstanceUID | ( | vtkIdType | pdnum,
|  | vtkIdType | id )

## ◆ GetNumberOfContourReferencedFrameOfReferences() [1/2]

vtkIdType vtkRTStructSetProperties::GetNumberOfContourReferencedFrameOfReferences | ( |  | ) |

## ◆ GetNumberOfContourReferencedFrameOfReferences() [2/2]

vtkIdType vtkRTStructSetProperties::GetNumberOfContourReferencedFrameOfReferences | ( | vtkIdType | pdnum | ) |

## ◆ GetNumberOfReferencedFrameOfReferences()

vtkIdType vtkRTStructSetProperties::GetNumberOfReferencedFrameOfReferences | ( |  | ) |

## ◆ GetNumberOfStructureSetROIs()

vtkIdType vtkRTStructSetProperties::GetNumberOfStructureSetROIs | ( |  | ) |

## ◆ GetReferencedFrameOfReferenceClassUID()

const char * vtkRTStructSetProperties::GetReferencedFrameOfReferenceClassUID | ( | vtkIdType | id | ) |

## ◆ GetReferencedFrameOfReferenceInstanceUID()

const char * vtkRTStructSetProperties::GetReferencedFrameOfReferenceInstanceUID | ( | vtkIdType | id | ) |

## ◆ GetStructureSetObservationNumber()

int vtkRTStructSetProperties::GetStructureSetObservationNumber | ( | vtkIdType | id | ) |

## ◆ GetStructureSetROIDescription()

const char * vtkRTStructSetProperties::GetStructureSetROIDescription | ( | vtkIdType | id | ) |

## ◆ GetStructureSetROIGenerationAlgorithm()

const char * vtkRTStructSetProperties::GetStructureSetROIGenerationAlgorithm | ( | vtkIdType |  | ) |

## ◆ GetStructureSetROIName()

const char * vtkRTStructSetProperties::GetStructureSetROIName | ( | vtkIdType |  | ) |

## ◆ GetStructureSetROINumber()

int vtkRTStructSetProperties::GetStructureSetROINumber | ( | vtkIdType | id | ) |

## ◆ GetStructureSetROIObservationLabel()

const char * vtkRTStructSetProperties::GetStructureSetROIObservationLabel | ( | vtkIdType | id | ) |

## ◆ GetStructureSetROIRefFrameRefUID()

const char * vtkRTStructSetProperties::GetStructureSetROIRefFrameRefUID | ( | vtkIdType |  | ) |

## ◆ GetStructureSetRTROIInterpretedType()

const char * vtkRTStructSetProperties::GetStructureSetRTROIInterpretedType | ( | vtkIdType | id | ) |

## ◆ New()

vtkRTStructSetProperties * vtkRTStructSetProperties::New | ( |  | ) |
| static

Examples
  GenerateRTSTRUCT.cxx.

References vtkRTStructSetProperties().

## ◆ PrintSelf()

void vtkRTStructSetProperties::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent )

## ◆ vtkGetStringMacro() [1/9]

vtkRTStructSetProperties::vtkGetStringMacro | ( | ReferenceFrameOfReferenceUID |  | ) |

References ReferenceFrameOfReferenceUID.

## ◆ vtkGetStringMacro() [2/9]

vtkRTStructSetProperties::vtkGetStringMacro | ( | ReferenceSeriesInstanceUID |  | ) |

References ReferenceSeriesInstanceUID.

## ◆ vtkGetStringMacro() [3/9]

vtkRTStructSetProperties::vtkGetStringMacro | ( | SeriesInstanceUID |  | ) |

References SeriesInstanceUID.

## ◆ vtkGetStringMacro() [4/9]

vtkRTStructSetProperties::vtkGetStringMacro | ( | SOPInstanceUID |  | ) |

References SOPInstanceUID.

## ◆ vtkGetStringMacro() [5/9]

vtkRTStructSetProperties::vtkGetStringMacro | ( | StructureSetDate |  | ) |

References StructureSetDate.

## ◆ vtkGetStringMacro() [6/9]

vtkRTStructSetProperties::vtkGetStringMacro | ( | StructureSetLabel |  | ) |

References StructureSetLabel.

## ◆ vtkGetStringMacro() [7/9]

vtkRTStructSetProperties::vtkGetStringMacro | ( | StructureSetName |  | ) |

References StructureSetName.

## ◆ vtkGetStringMacro() [8/9]

vtkRTStructSetProperties::vtkGetStringMacro | ( | StructureSetTime |  | ) |

References StructureSetTime.

## ◆ vtkGetStringMacro() [9/9]

vtkRTStructSetProperties::vtkGetStringMacro | ( | StudyInstanceUID |  | ) |

References StudyInstanceUID.

## ◆ vtkSetStringMacro() [1/9]

vtkRTStructSetProperties::vtkSetStringMacro | ( | ReferenceFrameOfReferenceUID |  | ) |

References ReferenceFrameOfReferenceUID.

## ◆ vtkSetStringMacro() [2/9]

vtkRTStructSetProperties::vtkSetStringMacro | ( | ReferenceSeriesInstanceUID |  | ) |

References ReferenceSeriesInstanceUID.

## ◆ vtkSetStringMacro() [3/9]

vtkRTStructSetProperties::vtkSetStringMacro | ( | SeriesInstanceUID |  | ) |

References SeriesInstanceUID.

## ◆ vtkSetStringMacro() [4/9]

vtkRTStructSetProperties::vtkSetStringMacro | ( | SOPInstanceUID |  | ) |

References SOPInstanceUID.

## ◆ vtkSetStringMacro() [5/9]

vtkRTStructSetProperties::vtkSetStringMacro | ( | StructureSetDate |  | ) |

References StructureSetDate.

## ◆ vtkSetStringMacro() [6/9]

vtkRTStructSetProperties::vtkSetStringMacro | ( | StructureSetLabel |  | ) |

References StructureSetLabel.

## ◆ vtkSetStringMacro() [7/9]

vtkRTStructSetProperties::vtkSetStringMacro | ( | StructureSetName |  | ) |

References StructureSetName.

## ◆ vtkSetStringMacro() [8/9]

vtkRTStructSetProperties::vtkSetStringMacro | ( | StructureSetTime |  | ) |

References StructureSetTime.

## ◆ vtkSetStringMacro() [9/9]

vtkRTStructSetProperties::vtkSetStringMacro | ( | StudyInstanceUID |  | ) |

References StudyInstanceUID.

## ◆ vtkTypeMacro()

vtkRTStructSetProperties::vtkTypeMacro | ( | vtkRTStructSetProperties | ,
|  | vtkObject | )

References vtkRTStructSetProperties().

## Member Data Documentation

## ◆ Internals

vtkRTStructSetPropertiesInternals* vtkRTStructSetProperties::Internals
| protected

## ◆ ReferenceFrameOfReferenceUID

char* vtkRTStructSetProperties::ReferenceFrameOfReferenceUID
| protected

Referenced by vtkGetStringMacro(), and vtkSetStringMacro().

## ◆ ReferenceSeriesInstanceUID

char* vtkRTStructSetProperties::ReferenceSeriesInstanceUID
| protected

Referenced by vtkGetStringMacro(), and vtkSetStringMacro().

## ◆ SeriesInstanceUID

char* vtkRTStructSetProperties::SeriesInstanceUID
| protected

Referenced by vtkGetStringMacro(), and vtkSetStringMacro().

## ◆ SOPInstanceUID

char* vtkRTStructSetProperties::SOPInstanceUID
| protected

Referenced by vtkGetStringMacro(), and vtkSetStringMacro().

## ◆ StructureSetDate

char* vtkRTStructSetProperties::StructureSetDate
| protected

Referenced by vtkGetStringMacro(), and vtkSetStringMacro().

## ◆ StructureSetLabel

char* vtkRTStructSetProperties::StructureSetLabel
| protected

Referenced by vtkGetStringMacro(), and vtkSetStringMacro().

## ◆ StructureSetName

char* vtkRTStructSetProperties::StructureSetName
| protected

Referenced by vtkGetStringMacro(), and vtkSetStringMacro().

## ◆ StructureSetTime

char* vtkRTStructSetProperties::StructureSetTime
| protected

Referenced by vtkGetStringMacro(), and vtkSetStringMacro().

## ◆ StudyInstanceUID

char* vtkRTStructSetProperties::StudyInstanceUID
| protected

Referenced by vtkGetStringMacro(), and vtkSetStringMacro().

The documentation for this class was generated from the following file:

- vtkRTStructSetProperties.h